pike.git / src / modules / Mysql / configure.in

version» Context lines:

pike.git/src/modules/Mysql/configure.in:282:    AC_CHECK_LIB(pthreads, pthread_self, [    LIBS="-lpthreads $LIBS"    echo Warning added -lpthreads to \$LIBS\!    ], [])    ])    ])       if test "x${MARIADB_CONFIG}" = "xno"; then :; else    # Needed for libmariadbclient.a 1.0.0.    AC_SEARCH_LIBS(OPENSSL_config, crypto) +  AC_SEARCH_LIBS(OPENSSL_init_ssl, ssl, [], [ +  # In OpenSSL 1.0.x and earlier the function was called +  # SSL_library_init().    AC_SEARCH_LIBS(SSL_library_init, ssl) -  +  ])    fi       AC_SEARCH_LIBS(_db_doprnt_, dbug)    AC_SEARCH_LIBS(my_init, mysys)       # mysql 3.23.x libmysqlclient requires zlib...    AC_SEARCH_LIBS(compress, z)       if test "x${MARIADB_CONFIG}" = "xno"; then :; else    LIBS="${MARIADB_LIBS} ${LIBS}"